---
obj: application
repo: https://github.com/sharkdp/hexyl
---

# Hexyl
`hexyl` is a simple hex viewer for the terminal. It uses a colored output to distinguish different categories of bytes (NULL bytes, printable [ASCII](../../files/ASCII.md) characters, [ASCII](../../files/ASCII.md) whitespace characters, other [ASCII](../../files/ASCII.md) characters and non-[ASCII](../../files/ASCII.md)).

## Usage
Usage: `hexyl [OPTIONS] [FILE]`

### Options
| Option             | Description                                   |
| ------------------ | --------------------------------------------- |
| `-n, --length <N>` | Read n bytes fom input                        | 
| `-s, --skip <N>`   | Skip n bytes from input                       |
| `--no-characters ` | Do not show the character panel on the right. |